LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPackageStructureCreator Interface Referencepublished

allows to convert filesystem folder tree into a package. More...

`import"XPackageStructureCreator.idl";`

Inheritance diagram for XPackageStructureCreator:

## Public Member Functions
void | convertToPackage ([in] string sFolderURL, [in] ::com::sun::star::io::XOutputStream xTargetStream) raises ( ::com::sun::star::io::IOException )
| converts filesystem folder tree into a package. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to convert filesystem folder tree into a package.

## Member Function Documentation

## ◆ convertToPackage()

void convertToPackage | ( | [in] string | sFolderURL,
|  | [in] ::com::sun::star::io::XOutputStream | xTargetStream
| ) |  |
raises | ( | ::com::sun::star::io::IOException
| ) |  |

converts filesystem folder tree into a package.

Parameters

  sFolderURL | the URL of folder that must be converted, the URL must be in format accepted by UCB
  xTargetStream | the result package will be written into this stream

Exceptions

  com::sun::star::io::IOException | in case any problem on reading/writing appears

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XPackageStructureCreator.idl